LibreOffice LibreOffice 6.2 SDK API Reference

List of all members
NumberFormatMapper Service Referencepublished

Access locale data number format codes to use with the number formatter. More...

`import"NumberFormatMapper.idl";`

Inheritance diagram for NumberFormatMapper:

## Additional Inherited Members
Public Member Functions inherited from XNumberFormatCode
NumberFormatCode | getDefault ([in] short nFormatType, [in] short nFormatUsage, [in] com::sun::star::lang::Locale rLocale)
| returns the default number format code of a specific category (usage group) for a given locale and format length type. More...
NumberFormatCode | getFormatCode ([in] short nFormatIndex, [in] com::sun::star::lang::Locale rLocale)
| returns the number format pointed to by nFormatIndex for a given locale. More...
sequence< NumberFormatCode > | getAllFormatCode ([in] short nFormatUsage, [in] com::sun::star::lang::Locale rLocale)
| returns all format codes for a given nFormatUsage and locale. More...
sequence< NumberFormatCode > | getAllFormatCodes ([in] com::sun::star::lang::Locale rLocale)
| returns all format codes for a given locale. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Access locale data number format codes to use with the number formatter.

The documentation for this service was generated from the following file:

- com/sun/star/i18n/NumberFormatMapper.idl